#!/bin/sh
# This script will "montage" big png maps good for printing,
# needs ImageMagick. Set your tabstop to 9 to get a nice layout.
# Created by Tobias Gruetzmacher (zelda<at>portfolio16<dot>de)
# This script is public domain
# Last change: 04.05.2003

# Change the two next variables if you need
in="pics"
out="big"

echo -n "Creating: "
# Some common variables to make things easier
common="montage +frame +shadow +label -geometry 160x128"
a=.png
n="NULL:"

# Create output directory
mkdir -p	$out

echo -n "world map"
$common -tile 16x16 \
	$in/z[0-9][0-9]_[0-9][0-9]$a \
	$out/world$a

echo -n ", Level: 1"
p=$in/l1_
$common -tile 7x6 -background "#CC80B0" \
	$n	$n	$n	$n	$n	$n	${p}28$a	\
	$n	${p}10$a	${p}08$a	${p}09$a	$n	$n	${p}25$a	\
	${p}15$a	$n	${p}07$a	${p}17$a	${p}19$a	${p}22$a	${p}24$a	\
	${p}14$a	${p}29$a	${p}06$a	${p}16$a	${p}18$a	${p}21$a	${p}23$a	\
	${p}13$a	$n	${p}05$a	${p}04$a	${p}20$a	$n	$n	\
	$n	${p}03$a	${p}02$a	${p}01$a	$n	$n	$n	\
	$out/level1$a

echo -n ", 2"
p=$in/l2_
$common -tile 6x7 -background "#7494D4" \
	${p}18$a	${p}17$a	${p}19$a	${p}20$a	${p}21$a	${p}27$a \
	$n	${p}16$a	$n	$n	${p}22$a	$n	\
	${p}14$a	${p}15$a	$n	$n	${p}32$a	${p}31$a	\
	${p}13$a	$n	$n	$n	$n	${p}30$a	\
	${p}26$a	$n	$n	$n	$n	${p}10$a	\
	${p}25$a	${p}02$a	${p}03$a	${p}05$a	${p}06$a	${p}09$a	\
	$n	${p}01$a	${p}04$a	${p}07$a	${p}08$a	$n	\
	$out/level2$a

echo -n ", 3"
p=$in/l3_
$common -tile 4x8 -background "#B8C49C" \
	${p}18$a	${p}19$a	${p}20$a	${p}21$a	\
	${p}17$a	${p}22$a	${p}23$a	${p}24$a \
	${p}16$a	${p}15$a	${p}14$a	${p}25$a \
	$n	${p}07$a	${p}13$a	$n	\
	$n	${p}06$a	$n	$n	\
	$n	${p}04$a	${p}05$a	$n	\
	$n	${p}03$a	$n	$n	\
	$n	${p}01$a	${p}02$a	$n	\
	$out/level3_e1$a
$common -tile 3x6 -background "#B8C49C" \
	$n	${p}09$a	$n	\
	${p}10$a	${p}08$a	${p}12$a	\
	$n	${p}11$a	$n	\
	$n	${p}31$a	$n	\
	$n	${p}30$a	$n	\
	$n	${p}29$a	${p}28$a \
	$out/level3_k1$a

echo -n ", 4"
p=$in/l4_
$common -tile 6x7 -background "#68CCB8" \
	$n	$n	${p}28$a	${p}27$a	$n	$n	\
	${p}36$a	$n	${p}25$a	${p}26$a	$n	${p}14$a	\
	${p}33$a	${p}23$a	${p}24$a	${p}16$a	${p}09$a	${p}13$a	\
	${p}22$a	${p}21$a	${p}19$a	${p}07$a	${p}08$a	${p}12$a	\
	$n	${p}20$a	${p}04$a	${p}05$a	${p}15$a	$n	\
	$n	${p}03$a	${p}02$a	${p}06$a	${p}10$a	$n	\
	$n	$n	${p}01$a	${p}11$a	$n	$n	\
	$out/level4$a


echo -n ", 5"
p=$in/l5_
$common -tile 7x8 -background "#BCAC9C" \
	${p}08$a	${p}07$a	${p}40$a	${p}36$a	${p}35$a	$n	$n	\
	$n	$n	${p}39$a	$n	${p}29$a	${p}34$a	$n	\
	${p}19$a	${p}20$a	${p}21$a	${p}22$a	${p}28$a	${p}33$a	${p}37$a	\
	$n	$n	$n	$n	${p}27$a	${p}26$a	${p}38$a	\
	$n	$n	${p}42$a	${p}25$a	${p}15$a	${p}16$a	$n	\
	$n	${p}41$a	${p}13$a	${p}12$a	${p}14$a	$n	$n	\
	$n	$n	${p}11$a	${p}10$a	${p}09$a	$n	$n	\
	${p}32$a	$n	$n	${p}04$a	${p}03$a	${p}02$a	${p}01$a \
	$out/level5$a

echo -n ", 6"
p=$in/l6_
$common -tile 8x7 -background "#D8BCD4" \
	${p}20$a	$n	$n	$n	$n	$n	$n	${p}40$a	\
	${p}12$a	${p}13$a	$n	${p}14$a	${p}46$a	$n	${p}29$a	${p}39$a	\
	${p}11$a	${p}07$a	${p}08$a	${p}09$a	${p}45$a	${p}32$a	${p}28$a	${p}38$a	\
	${p}10$a	${p}06$a	${p}15$a	${p}35$a	${p}44$a	${p}31$a	${p}27$a	${p}41$a	\
	$n	${p}05$a	${p}04$a	${p}42$a	${p}43$a	${p}30$a	${p}26$a	$n	\
	$n	${p}19$a	${p}03$a	$n	$n	${p}23$a	${p}24$a	$n	\
	$n	${p}18$a	${p}02$a	${p}01$a	${p}21$a	${p}22$a	${p}25$a	$n	\
	$out/level6$a

echo -n ", 7"
p=$in/l7_
$common -tile 4x4 -background "#C8D0D0" \
	${p}16$a	${p}17$a	${p}20$a	${p}19$a \
	${p}14$a	${p}13$a	${p}12$a	${p}18$a	\
	${p}03$a	${p}15$a	${p}05$a	${p}06$a	\
	${p}02$a	${p}01$a	${p}04$a	${p}07$a	\
	$out/level7_e1$a
$common -tile 4x4 -background "#C8D0D0" \
	$n	${p}25$a	${p}11$a	$n	\
	${p}21$a	${p}24$a	${p}10$a	${p}09$a	\
	${p}26$a	${p}27$a	${p}22$a	${p}08$a	\
	${p}28$a	${p}29$a	${p}23$a	${p}30$a	\
	$out/level7_e2$a
$common -tile 4x4 -background "#C8D0D0" \
	$n	${p}42$a	${p}43$a	$n	\
	${p}35$a	$n	$n	${p}38$a	\
	${p}34$a	${p}33$a	${p}36$a	${p}37$a	\
	$n	${p}32$a	${p}31$a	$n	\
	$out/level7_e3a$a
$common -tile 4x4 -background "#C8D0D0" \
	$n	${p}42$a	${p}43$a	$n	\
	${p}35$a	${p}41$a	${p}46$a	${p}38$a	\
	${p}34$a	${p}40$a	${p}39$a	${p}37$a	\
	$n	${p}32$a	${p}31$a	$n	\
	$out/level7_e3b$a

echo -n ", 8"
p=$in/l8_
$common -tile 8x8 -background "#B04444" \
	$n	$n	$n	${p}58$a	${p}33$a	$n	$n	$n	\
	${p}54$a	$n	$n	${p}57$a	${p}34$a	$n	$n	${p}48$a \
	${p}53$a	${p}52$a	${p}40$a	${p}39$a	${p}38$a	${p}37$a	${p}36$a	${p}49$a	\
	$n	${p}42$a	${p}41$a	${p}45$a	${p}44$a	${p}43$a	${p}35$a	$n	\
	$n	${p}06$a	${p}28$a	${p}23$a	${p}24$a	${p}29$a	${p}30$a	$n	\
	${p}10$a	${p}05$a	${p}04$a	${p}21$a	${p}22$a	${p}19$a	${p}18$a	${p}15$a	\
	${p}08$a	${p}07$a	${p}03$a	${p}02$a	${p}11$a	${p}20$a	${p}17$a	${p}16$a	\
	${p}09$a	$n	$n	${p}01$a	${p}12$a	$n	$n	${p}27$a	\
	$out/level8$a

echo -n ", color"
p=$in/color
$common -tile 6x5 -background "#B8C49C" \
	${p}21$a	${p}22$a	$n	$n	${p}19$a	${p}17$a	\
	${p}20$a	${p}11$a ${p}12$a	${p}13$a	${p}15$a	${p}16$a	\
	$n	${p}10$a	${p}09$a	${p}08$a	${p}14$a	$n	\
	$n	${p}02$a	${p}03$a	${p}04$a	${p}05$a	$n	\
	$n	${p}01$a	${p}18$a	${p}07$a	${p}06$a	$n	\
	$out/color$a

echo "."
exit 1

# vim:tabstop=9
